Bug 483068 - Dependency problems when installing qt
Dependency problems when installing qt
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: qt (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-29 10:44 EST by Frank Blackowitz
Modified: 2009-03-04 14:08 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-04 14:08:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Frank Blackowitz 2009-01-29 10:44:37 EST
User-Agent:       Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.1.19) Gecko/20081216 Fedora/2.0.0.19-1.fc8 Firefox/2.0.0.19

When install QT and QT related packages (via YUM), if mesa-libGL-devel and xorg-x11-proto-devel are not installed, the QT installation will not complete. But if mesa-libGL-devel and xorg-x11-proto-devel are installed prior, installation completes fine.

Possible dependency problems with qt, mesa-libGL-devel and xorg-x11-proto-devel?

Reproducible: Always

Steps to Reproduce:
1. yum install qt4 (when mesa-libGL-devel and xorg-x11-proto-devel are not installed.
Actual Results:  
Installation fails.

Expected Results:  
All dependencies should install without issue and then QT should install.
Comment 1 Rex Dieter 2009-01-29 10:50:02 EST
> Installation fails.

details please.  What's the exact error?

Are there any 3rd-party libGL libraries installed, from (something like) nvidia drivers?
Comment 2 Rex Dieter 2009-03-04 14:08:28 EST
closing for lack of feedback.

Please reopen of you can provide the requested additional information.

Note You need to log in before you can comment on or make changes to this bug.